TXTPBFMT(1)

NAME
txtpbfmt - modify text proto files preserving comments

DESCRIPTION

  Usage of txtpbfmt:

-allow_triple_quoted_strings

    Allow Python-style """ or ''' delimited strings in input.

-alsologtostderr

    log to standard error as well as files

-dry_run

    Enable dry run mode.

-expand_all_children

    Expand all children irrespective of initial state.

-log_backtrace_at value

    when logging hits line file:N, emit a stack trace

-log_dir string

    If non-empty, write log files in this directory

-log_link string

    If non-empty, add symbolic links in this directory to the log files

-logbuflevel int

    Buffer log messages logged at this level or lower (-1 means don't buffer; 0 means buffer INFO only; ...). Has limited applicability on non-prod platforms.

-logtostderr

    log to standard error instead of files

-preserve_angle_brackets

    Preserve angle brackets instead of converting to curly braces.

-remove_duplicate_values_for_repeated_fields

    Remove lines that have the same field name and scalar value as another.

-skip_all_colons

    Skip colons whenever possible.

-smart_quotes

    Use single quotes around strings that contain double but not single quotes.

-sort_fields_by_field_name

    Sort fields by field name.

-sort_repeated_fields_by_content

    Sort adjacent scalar fields of the same field name by their contents.

-sort_repeated_fields_by_subfield string

    Sort adjacent message fields of the given field name by the contents of the given subfield.

-stderrthreshold value

    logs at or above this threshold go to stderr (default 2)

-stdin_display_path string

    The path to display when referring to the content read from stdin. (default "<stdin>")

-v value

    log level for V logs

-vmodule value

    comma-separated list of pattern=N settings for file-filtered logging

-wrap_html_strings

    Wrap strings containing HTML tags. (Requires wrap_strings_at_column > 0.)

-wrap_strings_after_newlines

    Wrap strings after newlines.

-wrap_strings_at_column int

    Max columns for string field values. (0 means no wrap.)

-wrap_strings_without_wordwrap

    Wrap strings at the given column only.